Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Argument.h File Reference

`#include "tao/Basic_Types.h"`
`#include "tao/orbconf.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/ParameterModeC.h"`

Include dependency graph for Argument.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
namespace | TAO
## Classes
class | TAO::Argument
| Base class for argument class templates. More...
class | TAO::InArgument
class | TAO::InoutArgument
class | TAO::OutArgument
class | TAO::RetArgument

## Detailed Description

Id
  Argument.h,v 1.7 2005/11/02 07:13:02 ossama Exp

Author:
  Jeff Parsons

  Carlos O'Ryan